package poi_test;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;

import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Workbook;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;

public class excel {
	private String filePath;
	private String fileName;
	private XSSFWorkbook sxwb;
	private HSSFWorkbook hxwb;
	private Sheet sheet;
	private Cell cell;
	private int currentRow = 0;
	private Row row;

	public excel(String path, String name, int Col_limit) {
		this.filePath = path;
		this.fileName = name;
		// this.sxwb.setCompressTempFiles(true);
	}

	public void createbook07(String name) {
		this.sxwb = new XSSFWorkbook();
		this.sheet = ((Workbook) this.sxwb).createSheet(name);
		this.currentRow = 0;
	}

	public void createbook03(String name) {
		this.hxwb = new HSSFWorkbook();
		this.sheet = ((Workbook) this.hxwb).createSheet(name);
		this.currentRow = 0;
	}

	// 输出文件
	public void exportExcel07() {
		File file = new File(this.filePath);
		if (!file.exists()) {
			file.mkdirs();
		}
		OutputStream os = null;
		try {
			os = new FileOutputStream(this.filePath + this.fileName);
			this.sxwb.write(os);
		} catch (FileNotFoundException e) {
			e.printStackTrace();
			try {
				os.close();
			} catch (IOException e1) {
				e1.printStackTrace();
			}
		} catch (IOException e) {
			e.printStackTrace();
			try {
				os.close();
			} catch (IOException e2) {
				e2.printStackTrace();
			}
		} finally {
			try {
				os.close();
			} catch (IOException e3) {
				e3.printStackTrace();
			}
		}
	}

	public void exportExcel03() {
		File file = new File(this.filePath);
		if (!file.exists()) {
			file.mkdirs();
		}
		OutputStream os = null;
		try {
			os = new FileOutputStream(this.filePath + this.fileName);
			this.hxwb.write(os);
		} catch (FileNotFoundException e) {
			e.printStackTrace();
			try {
				os.close();
			} catch (IOException e1) {
				e1.printStackTrace();
			}
		} catch (IOException e) {
			e.printStackTrace();
			try {
				os.close();
			} catch (IOException e2) {
				e2.printStackTrace();
			}
		} finally {
			try {
				os.close();
			} catch (IOException e3) {
				e3.printStackTrace();
			}
		}
	}

	public void createRow(int row, int height) {
		if (this.sheet.getRow(row - 1) == null) {
			this.sheet.createRow(row - 1);
			this.currentRow = this.currentRow + 1;
		}
	}

	// 填充数据
	public void setCellData(int row, int column, String data) {
		// 填充数据
		this.row = this.sheet.getRow(row - 1);
		this.cell = this.row.createCell(column - 1);
		this.cell.setCellValue(data);

	}

	public static void main(String[] args) {
		excel cel07 = new excel("G://Log//crc_poc//1//", "test.xlsx", 0);
		cel07.createbook07("sheet1");
		cel07.createRow(1, 1);
		cel07.setCellData(1, 1, "𤯥");
		cel07.exportExcel07();
		
		excel cel03 = new excel("G://Log//crc_poc//1//", "test.xls", 0);
		cel03.createbook03("sheet1");
		cel03.createRow(1, 1);
		cel03.setCellData(1, 1, "𤯥");
		cel03.exportExcel03();
	}
}